package domain

type AlibabaWdkMarketingItempoolActivityCreateActivityRule struct {
	/*
	   封顶金额     */
	CeilingAmount *int64 `json:"ceiling_amount,omitempty" `

	/*
	   多阶梯是否可叠加     */
	IsMultiMix *bool `json:"is_multi_mix,omitempty" `

	/*
	   单商品是否累计 defalutValue:true    */
	ItemOverlay *bool `json:"item_overlay,omitempty" `

	/*
	   是否单商品计数【NY使用】【废弃】     */
	IsAlone *bool `json:"is_alone,omitempty" `

	/*
	   是否上不封顶     */
	EnableMultiple *bool `json:"enable_multiple,omitempty" `

	/*
	   是否叠加计算逻辑分组与阶梯满元【件】条件     */
	IsCheckAllCond *bool `json:"is_check_all_cond,omitempty" `

	/*
	   1-可贬值，0-不可贬值     */
	DiscountFeeMode *int64 `json:"discount_fee_mode,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolActivityCreateActivityRule) SetCeilingAmount(v int64) *AlibabaWdkMarketingItempoolActivityCreateActivityRule {
	s.CeilingAmount = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateActivityRule) SetIsMultiMix(v bool) *AlibabaWdkMarketingItempoolActivityCreateActivityRule {
	s.IsMultiMix = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateActivityRule) SetItemOverlay(v bool) *AlibabaWdkMarketingItempoolActivityCreateActivityRule {
	s.ItemOverlay = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateActivityRule) SetIsAlone(v bool) *AlibabaWdkMarketingItempoolActivityCreateActivityRule {
	s.IsAlone = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateActivityRule) SetEnableMultiple(v bool) *AlibabaWdkMarketingItempoolActivityCreateActivityRule {
	s.EnableMultiple = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateActivityRule) SetIsCheckAllCond(v bool) *AlibabaWdkMarketingItempoolActivityCreateActivityRule {
	s.IsCheckAllCond = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateActivityRule) SetDiscountFeeMode(v int64) *AlibabaWdkMarketingItempoolActivityCreateActivityRule {
	s.DiscountFeeMode = &v
	return s
}
